// TaskSchedulerHelper.h : wb_[ t@C
//

#pragma once
#include "afxdtctl.h"
#include "afxwin.h"

#define EPG_WORD_MAX	256

typedef struct TIME{
	int hour;
	int minutes;
}TIME;

typedef struct EPG{
	int		version;
	wchar_t	station[EPG_WORD_MAX];
	int		year;
	int		month;
	int		date;
	TIME	start, end;
	wchar_t	program_title[EPG_WORD_MAX];
	wchar_t	program_subtitle[EPG_WORD_MAX];
	wchar_t performer[EPG_WORD_MAX];
	int		genre;
	int		subgenre;
	int		extend;
	wchar_t memo[WCHAR_MAX];
}EPG;


typedef struct Channel{
	wchar_t name[32];
	wchar_t command[10];
	wchar_t IdentificationWord[128];
}CHANNEL;

// CTaskSchedulerHelper _CAO
class CTaskSchedulerHelper : public CDialog
{
// RXgNV
public:
	CTaskSchedulerHelper(CWnd* pParent = NULL);	// WRXgN^

// _CAO f[^
	enum { IDD = IDD_TaskSchedulerHelper_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g


// 
protected:
	HICON m_hIcon;

	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CListBox		ctrlChannelList;
	CDateTimeCtrl	ctrlDateTime1;
	CDateTimeCtrl	ctrlDateTime2;
	CMonthCalCtrl	ctrlCal;

	CString strCapsts;
	CString strFoldername;
	CString strFilename;
	CString strChannel;
	CString strId;
	CString strCommandline;
	CString strTaskName;
	CString strAccount;
	CString strPass1;
	CString strPass2;

	BOOL bPowerOn;
	BOOL bPowerOff;
	BOOL bBcs;
	BOOL bB25;
	BOOL bSel;
	BOOL bSus;
	BOOL bDelTask;
	BOOL bResume;
	CHANNEL	channel[200];
	int		channel_number;
	wchar_t wFilename[256];
	wchar_t wParameter[256];
	wchar_t *cmdline;
	int		nTaskType;

	void LoadChannelFile(void);
	bool OpenEPGFile(const wchar_t * filename, EPG * epg);
	void SetEPG(const EPG * epg);
	void MakeCommandline(void);

	afx_msg void OnBnClickedOk(){};
	afx_msg void OnBnClickedCancel(){};
	afx_msg void OnClose();
	afx_msg void OnBnClickedCapstsButton();
	afx_msg void OnBnClickedCheck();
	afx_msg void OnEnChangeEdit();
	afx_msg void OnBnClickedCapstsButton2();
	afx_msg void OnBnClickedTaskSetButton();
	afx_msg void OnLbnSelchangeList2();
	afx_msg void OnBnClickedEpgButton();
	afx_msg void OnDtnDatetimechangeDatetimepicker(NMHDR *pNMHDR, LRESULT *pResult);
	BOOL bAutoClose;
	afx_msg void OnMcnSelchangeMonthcalendar1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnChangeFilenameEdit2();
	afx_msg void OnBnClickedVlcrec();
	CString strVlcParam;
	afx_msg void OnEnChangeVlcParam();
	BOOL bVlc;
	afx_msg void OnBnClickedRmc();///
	BOOL bRmc;///
	afx_msg void OnEnChangeFolderEdit();
	wchar_t ini_pathname[256];
	bool bIsLeapYear(const unsigned int year);
};
